Bug 1208601 - mtp attached devices are no longer available through dolphin file manager or plasma 5 system tray device list
Summary: mtp attached devices are no longer available through dolphin file manager or ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kio-extras
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-02 16:07 UTC by Bugzy
Modified: 2015-04-21 19:33 UTC (History)
6 users (show)

Fixed In Version: kio-extras-5.2.2-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:33:18 UTC


Attachments (Terms of Use)

Description Bugzy 2015-04-02 16:07:05 UTC
Description of problem:
After installing plasma-5 from copr dvratil/plasma-5, the kio-extras package forces the removal of kio_mtp. Once the upgrade has taken place, dolphin and all of plasma 5 can no longer detect mtp devices that are plugged into the system, and using the "mtp://" protocol in dolphin's path bar returns "invalid protocol."

Version-Release number of selected component (if applicable):
kio-extras-5.2.2-1.fc21.x86_64
dolphin-14:12.3-1.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install plasma-5 packages from dvratil copr or from rawhide.
2. Plug in mtp device

Actual results:
Nothing happens

Expected results:
1. Notification that a device has been plugged in
2. mtp device is listed in dolphin's panel under devices 

Additional info:
-For some reason, Amarok (the audio player) is still able to list the tracks from the attached devices. My guess is that Amarok does not use kio to access mtp. It probably depends on libmtp directly.

Comment 1 Rex Dieter 2015-04-02 16:09:58 UTC
kio_mtp being obsoleted here is probably a packaging mistake, I'll work to restore it.

Comment 2 Daniel Vrátil 2015-04-02 16:24:07 UTC
The obosoletion in Plasma 5 is correct, kio mtp is part of kio-extras. However it appears that we are missing BR libmtp-devel in kio-extras, so the KIO slave is not built :)

Comment 3 Rex Dieter 2015-04-02 16:29:24 UTC
A kf5 kioslave is not functionally equivalent to a kde4 kio slave, is it?

(I'm assuming the answer is no)

Comment 4 Rex Dieter 2015-04-02 16:30:36 UTC
For example, can kde4 applications use kf5 kio's?

Comment 5 Lukáš Tinkl 2015-04-02 22:51:35 UTC
(In reply to Rex Dieter from comment #4)
> For example, can kde4 applications use kf5 kio's?

Nope, KDE 4 apps can't use kf5 KIO slaves

Comment 6 Kevin Kofler 2015-04-02 23:50:34 UTC
So it's incorrect to Obsolete the KDE 4 kio_mtp.

Comment 7 Rex Dieter 2015-04-03 11:45:59 UTC
I'll take care of it today.

Comment 8 Fedora Update System 2015-04-03 14:45:53 UTC
kio_mtp-0.75-9.20141221gitc418634.fc22,kio-extras-5.2.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kio_mtp-0.75-9.20141221gitc418634.fc22,kio-extras-5.2.2-2.fc22

Comment 9 Fedora Update System 2015-04-03 14:48:04 UTC
kio_mtp-0.75-8.20141221gitc418634.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kio_mtp-0.75-8.20141221gitc418634.fc21

Comment 10 Fedora Update System 2015-04-03 14:48:57 UTC
kio_mtp-0.75-8.20141221gitc418634.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kio_mtp-0.75-8.20141221gitc418634.fc20

Comment 11 Fedora Update System 2015-04-04 16:32:40 UTC
Package kio-extras-5.2.2-2.fc22, kio_mtp-0.75-9.20141221gitc418634.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kio-extras-5.2.2-2.fc22 kio_mtp-0.75-9.20141221gitc418634.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5534/kio_mtp-0.75-9.20141221gitc418634.fc22,kio-extras-5.2.2-2.fc22
then log in and leave karma (feedback).

Comment 12 Ahmad Samir 2015-04-07 03:40:41 UTC
After the kio_mtp-common split:
# yum --enablerepo dvratil-plasma-5 install plasma-desktop
Error: Package: kio_mtp-common-0.75-8.20141221gitc418634.fc21.noarch (@updates-testing)
           Requires: kio_mtp = 0.75-8.20141221gitc418634.fc21
           Removing: kio_mtp-0.75-8.20141221gitc418634.fc21.x86_64 (@updates-testing)
               kio_mtp = 0.75-8.20141221gitc418634.fc21
           Obsoleted By: kio-extras-5.2.2-1.fc21.x86_64 (dvratil-plasma-5)
               kio_mtp = 5.2.2-1.fc21
           Available: kio-extras-5.2.1-2.fc21.x86_64 (dvratil-plasma-5)
               kio_mtp = 5.2.1-2.fc21
           Available: kio_mtp-0.75-6.20131020git2063e75.fc21.x86_64 (fedora)
               kio_mtp = 0.75-6.20131020git2063e75.fc21

Comment 13 Rex Dieter 2015-04-07 10:21:58 UTC
Looks like kio-extras in copr needs updating too

Comment 14 Fedora Update System 2015-04-18 09:33:17 UTC
kio_mtp-0.75-10.20141221gitc418634.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-04-18 09:45:26 UTC
kio_mtp-0.75-10.20141221gitc418634.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-04-21 19:33:18 UTC
kio-extras-5.2.2-5.fc22, kio_mtp-0.75-10.20141221gitc418634.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.